Get Campaign
curl --request GET \
--url https://api.crowdchange.dev/v2/private/fundraiser/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.crowdchange.dev/v2/private/fundraiser/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crowdchange.dev/v2/private/fundraiser/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"partner_id": 10,
"name": "Campaign",
"description": "Description",
"created_at": "2022-01-01 16:00:03",
"amount_goal": 1000,
"amount_raised": 550,
"url": "https://demo.crowdchange.dev/2",
"n_donors": 100,
"language": "en",
"user": {
"id": 1,
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr.",
"email": "john@crowdchange.co"
},
"fundraiser_template": {
"id": 1,
"name": "Template"
},
"start_at": "2022-01-01 16:00:03",
"end_at": "2022-01-02 16:00:03",
"tags_list": [
"tag1",
"tag2"
]
}
Campaign-Specific APIs
Get Campaign
Retrieve detailed server-side information about a CrowdChange campaign by its fundraiser ID, including configuration, goal, raised, and donor stats.
GET
/
v2
/
private
/
fundraiser
/
{id}
Get Campaign
Path parameters
integer
required
Fundraiser ID.
Response
integer
Campaign ID.
integer
Site ID.
string
Campaign name.
string
Campaign description.
string
Campaign creation date.
number
Goal amount.
number
Amount raised by the campaign.
string
Full URL to campaign.
integer
Number of donors.
string
Campaign language. Allowed values:
en, frobject
string
Event’s start date.
string
Event’s end date.
any[]
Campaign tags.
| Status | Description |
|---|---|
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
{
"id": 1,
"partner_id": 10,
"name": "Campaign",
"description": "Description",
"created_at": "2022-01-01 16:00:03",
"amount_goal": 1000,
"amount_raised": 550,
"url": "https://demo.crowdchange.dev/2",
"n_donors": 100,
"language": "en",
"user": {
"id": 1,
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr.",
"email": "john@crowdchange.co"
},
"fundraiser_template": {
"id": 1,
"name": "Template"
},
"start_at": "2022-01-01 16:00:03",
"end_at": "2022-01-02 16:00:03",
"tags_list": [
"tag1",
"tag2"
]
}
Was this page helpful?
⌘I